import request from '@/utils/request'

// 查询商机列表
export function listCrmCustomerbusiness(query) {
  return request({
    url: '/crm/customer_business/list',
    method: 'get',
    params: query
  })
}

// 查询商机详细
export function getCrmCustomerbusiness(id) {
  return request({
    url: '/crm/customer_business/' + id,
    method: 'get'
  })
}

// 新增商机
export function addCrmCustomerbusiness(data) {
  return request({
    url: '/crm/customer_business',
    method: 'post',
    data: data
  })
}

// 修改商机
export function updateCrmCustomerbusiness(data) {
  return request({
    url: '/crm/customer_business',
    method: 'put',
    data: data
  })
}

// 删除商机
export function delCrmCustomerbusiness(id) {
  return request({
    url: '/crm/customer_business/' + id,
    method: 'delete'
  })
}

// 导出商机
export function exportCrmCustomerbusiness(query) {
  return request({
    url: '/crm/customer_business/export',
    method: 'post',
    params: query
  })
}
